@echo off
if exist c:\sierra\democd\Prphdemo\loader.exe goto PrphDHD

echo.
echo.
echo This demo cannot be run directly from the CD-ROM.  It must be copied 
echo to your hard disk to operate. It will require approximately 2.5 mbytes 
echo of free space on C:.
echo.
echo Do you want to install the demo to the hard disk now?
getkey YN
cls
If "%getkey%"=="N" goto End

:DirOK
what ke c
if errorlevel 250 goto spaceok
cls
echo.
echo.
echo There is insufficient space available on drive C:.  This demo
echo version can only be installed on drive C:.
echo.
echo.
pause
goto End

:SpaceOk
md c:\sierra\democd\Prphdemo
cls
echo Copying files ...
copy *.* c:\sierra\democd\Prphdemo >nul
attrib -r c:\sierra\democd\Prphdemo\demo.bat >nul
del c:\sierra\democd\Prphdemo\demo.bat >nul
echo @loader show vga mouse lg_us >c:\sierra\democd\PrphDemo\demo.bat

:PrphDHD
c:
cd \sierra\democd\Prphdemo
loader show vga mouse lg_us
cls

:End
